petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscMallocGetDumpLog

Determine whether all calls to PetscMalloc() are being logged

### Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscMallocGetDumpLog(PetscBool *logging)

Not Collective Many br

Output Arguments Many br

logging -PETSC_TRUE if logging is active Many br

### Options Database Key

-malloc_log -Activates PetscMallocDumpLog() Many br

Many br

### See Also

PetscMallocDump(), PetscMallocDumpLog()

Level:advanced
Location:src/sys/memory/mtr.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages